@echo off
color a
echo 开始提交到git upm....
echo 提交upm前请确保当前分支的所有改动都已经提交！
:setVersion
set /p var=请输入本次提交Upm版本号 -------- ：
set /p Flg=确认提交的版本号%var%，是否开始提交(y/n) -------- :

IF "%Flg%" equ "y" (
	echo 开始提交，请勿关闭该窗口！
	git subtree split --prefix=Assets --branch upm
	git tag %var% upm
	git push origin upm --tags
	GOTO :END
)

GOTO :setVersion

:END
echo 执行完毕!
pause
exit